/* Copyright 2016 LasLabs Inc.
 * License LGPL-3.0 or later (http://www.gnu.org/licenses/lgpl). */

.app-drawer-nav {
    border-color: @dropdown-border;
    background-color: @dropdown-bg;
    border: 0px solid @dropdown-fallback-border; // IE8 fallback
    border: 0px solid @dropdown-border;
	border-radius: 0px !important;
//    -webkit-border-radius: @border-radius-base;
//    -moz-border-radius: @border-radius-base;
   border-radius: @border-radius-base;
//    .box-shadow(0 6px 12px rgba(0, 0, 0, .175));
    background-clip: padding-box;

    .navbar-left {
        width: 100%;

        li {
            padding: 0;
        }
    }

    .app-drawer-title {
        float: none;
    }

    .app-drawer-panel-title {
        margin-top: 4px;
    }

    .app-drawer-icon-app {
        height: 100%;
        width: 100%;
        max-width: @app-drawer-icon-size;
        max-height: @app-drawer-icon-size;
        object-fit: contain;
        object-position: center;
    }

    .panel-body {
        padding-top: @app-drawer-title-height;
    }

    #appDrawerAppPanelHead {
        position: absolute;
        height: @app-drawer-title-height;
        width: 100%;
        z-index: 9999;
    }

}

.drawer-nav {
    width: @app-drawer-width;
    z-index: 9999;
}

.drawer--left .drawer-nav {
    left: -@app-drawer-width;
}

.drawer--left.drawer-open .drawer-hamburger {
    left: @app-drawer-width;
}

.drawer--right .drawer-nav {
    right: -@app-drawer-width;
}

.drawer-open .oe-right-toolbar {
    display: none;
}

.drawer-closed .oe-right-toolbar {
    display: block;
}

/* App Drawer Toggle */

.app-drawer-toggle {
    background-color: transparent;
	border: none;
}

.app-drawer-toggle.navbar-toggle {
	background-color: #ee3366;
    margin-left: 1em;
}

// Add background image
.drawer-nav{
	background: transparent url('../img/material-background.jpg') no-repeat scroll center center / cover;
}

.app-drawer-nav .app-drawer-title {
    color: #fff;
}

// Center app icons
.app-drawer-nav .panel-body {
    margin: auto;
    max-width: 768px;
    padding-top: 80px;
    width: 90%;
}
